From d5712ee32c6366ee087f19fd72f7b68007a9a821 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 00:10:00 +0000
Subject: [PATCH 1114/2232] Use member initializer lists for Error constructors


---

diff --git a/src/cxx.cc b/src/cxx.cc
index 077f8ce..1bfd8b9 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -172,14 +172,10 @@ const char *cxxbridge05$error(const char *ptr, size_t len) {
 }
 } // extern "C"
 
-Error::Error(const Error &other) {
-  this->msg = cxxbridge05$error(other.msg, other.len);
-  this->len = other.len;
-}
+Error::Error(const Error &other)
+    : msg(cxxbridge05$error(other.msg, other.len)), len(other.len) {}
 
-Error::Error(Error &&other) noexcept {
-  this->msg = other.msg;
-  this->len = other.len;
+Error::Error(Error &&other) noexcept : msg(other.msg), len(other.len) {
   other.msg = nullptr;
   other.len = 0;
 }

